/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __surface_h__
#define __surface_h__

#include "shape/shape.h"
#include "draw/draw.h"

#include "thread/CountedPool.h"

#include "surface/SpatialTreeI.h"
#include "surface/Material.h"
#include "surface/Raster.h"
#include "surface/SurfaceI.h"
#include "surface/SurfaceAccessibleI.h"
#include "surface/SurfaceAccessorI.h"
#include "surface/SurfaceModel.h"
#include "surface/SurfacePoint.h"
#include "surface/SurfacePrimitive.h"
#include "surface/SurfaceTransform.h"

#endif /* __surface_h__ */

